NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Die.Tip Class Reference

Represents a Tip feature. More...

Inheritance diagram for NXOpen.Die.Tip:
NXOpen.Features.Feature NXOpen.NXObject NXOpen.IProfile NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddToDieData (NXOpen.Curve[] objects)
 Adds the input curves to the die data. More...
 
unsafe void CreateDieData (bool allTips)
 Creates a copy of the product data in die position. More...
 
unsafe void DeleteDieData ()
 Deletes the copy of the product data. More...
 
unsafe void DisplayDieData ()
 Makes the product data in die position visible. More...
 
unsafe NXOpen.Edge[] GetUnprocessedHoles ()
 Finds the hole edges that have not been processed yet. More...
 
unsafe void MapCollectorToDie (NXOpen.ScCollector collector)
 Maps the edges in the collector from part position to die position. More...
 
unsafe void MapCollectorToPart (NXOpen.ScCollector collector)
 Maps the edges in the collector from die position to part position. More...
 
unsafe void MapEdge (NXOpen.IProfile inEdge, out NXOpen.IProfile partEdge, out NXOpen.IProfile dieEdge)
 Maps the edge to find the part and die position entity, either can be a a null reference (Nothing in Visual Basic). More...
 
unsafe void SetReferenceCurves (NXOpen.Curve[] objects)
 Sets reference curves in the die tip feature. More...
 
unsafe void TransformDieDirection (NXOpen.Direction vector)
 Transforms the direction from die position to product position. More...
 
unsafe void TransformDiePoint (NXOpen.Point point)
 Transforms the point from die position to product position. More...
 
unsafe void UndisplayDieData ()
 Makes the product data in die position invisible. More...
 
- Public Member Functions inherited from NXOpen.Features.Feature
unsafe bool BreakWaveLink ()
 Break Wave Link Feature More...
 
unsafe void ChangeBooleanType ()
 Change Boolean Type More...
 
unsafe void DeleteClueAlerts ()
 Delete all clue alerts from the features More...
 
unsafe void DeleteHintAlerts ()
 Delete all clue alerts from the features More...
 
unsafe void DeleteInformationalAlerts ()
 Delete all informational alerts from the features More...
 
unsafe void DeleteWarningAlerts ()
 Delete all warning alerts from the features More...
 
unsafe NXOpen.Features.Feature[] GetAllChildren ()
 Returns all immediate child features. More...
 
unsafe NXOpen.Body[] GetBodies ()
 Returns the bodies created by the feature More...
 
unsafe NXOpen.Features.Feature[] GetChildren ()
 Returns the immediate child features. More...
 
unsafe NXOpen.Edge[] GetEdges ()
 Returns the edges created by the feature More...
 
unsafe NXOpen.NXObject[] GetEntities ()
 Returns the entities created by the feature. More...
 
unsafe NXOpen.Expression[] GetExpressions ()
 Returns the expressions created by the feature. More...
 
unsafe NXOpen.Face[] GetFaces ()
 Returns the faces created by the feature More...
 
unsafe string[] GetFeatureClueHintMessages ()
 Returns both clue and hint messages of the feature. More...
 
unsafe string[] GetFeatureClueMessages ()
 Returns the feature clue messages. More...
 
unsafe NXOpen.NXColor GetFeatureColor ()
 The feature color More...
 
unsafe string[] GetFeatureErrorMessages ()
 Returns the feature error messages. More...
 
unsafe string[] GetFeatureHintMessages ()
 Returns the feature hint messages. More...
 
unsafe string[] GetFeatureInformationalMessages ()
 Returns the feature informational messages. More...
 
unsafe string GetFeatureName ()
 Returns the displayed name of the feature. More...
 
unsafe string[] GetFeatureWarningMessages ()
 Returns the feature warning messages. More...
 
unsafe NXOpen.Features.Feature[] GetParents ()
 Returns the immediate parent features. More...
 
unsafe NXOpen.Section[] GetSections ()
 Queries a feature for list of its sections. More...
 
unsafe void HideBody ()
 Hide the body created by the feature More...
 
unsafe void HideParents ()
 Hide the body created by the parent feature More...
 
unsafe void Highlight ()
 Highlight the body created by the feature More...
 
unsafe bool IsBrowsableFeature ()
 Returns true if a feature is browsable. More...
 
unsafe void LoadParentPart ()
 Loads parent part for linked feature More...
 
unsafe void LogDiagnostic (int errorCode, string message, NXOpen.Features.Feature.DiagnosticType diagnosticType)
 Log a diagnostic alert for this feature More...
 
unsafe void MakeCurrentFeature ()
 Make current feature More...
 
unsafe void MakeSketchExternal ()
 Make the parent sketch external for reuse by other features. More...
 
unsafe void MakeSketchInternal ()
 Make the parent sketch internal if referenced only by this feature. More...
 
unsafe void RemoveForEdit (bool dependent)
 Remove all the feature faces before a NoHistory mode edit. More...
 
unsafe void RemoveParameters ()
 Remove Local feature parameters in history free mode. More...
 
unsafe void SetGroupActive (bool active)
 Set a feature group as active group. More...
 
unsafe void ShowBody (bool moveCurves)
 Show the body created by the feature. More...
 
unsafe void ShowDimensions ()
 Show all feature dimensions of a feature. More...
 
unsafe void ShowParents (bool moveCurves)
 Show the body created by the parent feature. More...
 
unsafe void Suppress ()
 Suppress the feature More...
 
unsafe void Unhighlight ()
 Unhighlight the body created by the feature More...
 
unsafe void Unsuppress ()
 Unsuppress the feature More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Features.Feature
enum  BooleanType {
  Create, Unite, Subtract, Intersect,
  EmbossNormalSide = 8, EmbossOppositeNormalSide
}
 Boolean operation type. More...
 
enum  DiagnosticType { Information = 1, Warning }
 Diagnostic type More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.Feature
unsafe int AlgorithmVersion [get]
 Returns the algorithm version of the feature More...
 
unsafe
NXOpen.Features.IContainerFeature 
ContainerFeature [get]
 Returns the container feature for this feature. More...
 
unsafe string FeatureType [get]
 Returns the feature type More...
 
unsafe bool IsContainedFeature [get]
 Returns true if the feature is a contained feature. More...
 
unsafe bool IsInternal [get]
 Returns true if the feature is internal. More...
 
unsafe NXOpen.Point3d Location [get]
 Returns the location of the feature More...
 
unsafe bool Suppressed [get]
 Returns the suppression status of the feature More...
 
unsafe int Timestamp [get]
 Returns the timestamp of the feature More...
 

Detailed Description

Represents a Tip feature.

This class supports operations on a Tip feature, see TipBuilder for creation.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.Die.Tip.AddToDieData ( NXOpen.Curve[]  objects)
inline

Adds the input curves to the die data.

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
objectsCurves to be added to the die data
unsafe void NXOpen.Die.Tip.CreateDieData ( bool  allTips)
inline

Creates a copy of the product data in die position.

The product data is not visible upon creation. This method must be called before using the methods Die.Tip.DeleteDieData , Die.Tip.DisplayDieData , Die.Tip.UndisplayDieData , Die.Tip.TransformDiePoint , or Die.Tip.TransformDieDirection .

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
allTipsCreate the die position product data of all tips in the operation?
unsafe void NXOpen.Die.Tip.DeleteDieData ( )
inline

Deletes the copy of the product data.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe void NXOpen.Die.Tip.DisplayDieData ( )
inline

Makes the product data in die position visible.

The display of the Tip feature is made invisible.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Edge [] NXOpen.Die.Tip.GetUnprocessedHoles ( )
inline

Finds the hole edges that have not been processed yet.

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Returns
unsafe void NXOpen.Die.Tip.MapCollectorToDie ( NXOpen.ScCollector  collector)
inline

Maps the edges in the collector from part position to die position.

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
collector
unsafe void NXOpen.Die.Tip.MapCollectorToPart ( NXOpen.ScCollector  collector)
inline

Maps the edges in the collector from die position to part position.

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
collector
unsafe void NXOpen.Die.Tip.MapEdge ( NXOpen.IProfile  inEdge,
out NXOpen.IProfile  partEdge,
out NXOpen.IProfile  dieEdge 
)
inline

Maps the edge to find the part and die position entity, either can be a a null reference (Nothing in Visual Basic).

Created in NX5.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
inEdge
partEdge
dieEdge
unsafe void NXOpen.Die.Tip.SetReferenceCurves ( NXOpen.Curve[]  objects)
inline

Sets reference curves in the die tip feature.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
objectsCurves to be added to the tip
unsafe void NXOpen.Die.Tip.TransformDieDirection ( NXOpen.Direction  vector)
inline

Transforms the direction from die position to product position.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
vectorDirection to be transformed.
unsafe void NXOpen.Die.Tip.TransformDiePoint ( NXOpen.Point  point)
inline

Transforms the point from die position to product position.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
pointPoint to be transformed.
unsafe void NXOpen.Die.Tip.UndisplayDieData ( )
inline

Makes the product data in die position invisible.

The display of the Tip feature is made visible.

Created in NX4.0.0

License requirements: die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.